---
title: Intl.ListFormat.prototype.format()
slug: Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/format
tags:
  - Internationalization
  - Intl
  - JavaScript
  - ListFormat
  - Method
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <strong><code>format()</code></strong> method returns a string with a language-specific representation of the list.</p>

<div>{{EmbedInteractiveExample("pages/js/intl-listformat.html", "taller")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>listFormat</var>.format([<var>list</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>list</var></code></dt>
 <dd>An iterable object, such as an Array</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A language-specific formatted string representing the elements of the list</p>

<h2 id="Description">Description</h2>

<p>The <strong><code>format()</code></strong> method returns a string that has been formatted based on parameters provided in the <code>Intl.ListFormat</code> object. The <code>locales</code> and <code>options</code> parameters customize the behavior of <code>format()</code> and let applications specify the language conventions that should be used to format the list.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_format">Using format</h3>

<p>The following example shows how to create a List formatter using the English language.</p>

<pre class="brush: js notranslate">const list = ['Motorcycle', 'Bus', 'Car'];

 console.log(new Intl.ListFormat('en-GB', { style: 'long', type: 'conjunction' }).format(list));
// &gt; Motorcycle, Bus and Car

 console.log(new Intl.ListFormat('en-GB', { style: 'short', type: 'disjunction' }).format(list));
// &gt; Motorcycle, Bus or Car

 console.log(new Intl.ListFormat('en-GB', { style: 'narrow', type: 'unit' }).format(list));
// &gt; Motorcycle Bus Car
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Intl.ListFormat', '#sec-Intl.ListFormat.prototype.format', 'format()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Intl.ListFormat.format")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("ListFormat", "Intl.ListFormat")}}</li>
</ul>
